<template>
  <div>
    <h1>Mon panier</h1>
    <p>Montant total : {{ cartTotalPrice | currency }}</p>
    <button @click="showCartDetails = !showCartDetails">
      <span v-if="!showCartDetails">Voir le détail</span>
      <span v-else>Cacher le détail</span>
    </button>

    <div class="cart-details">
      <div v-for="(item, index) in items" :key="index" v-show="showCartDetails" :class="item.class">
        <span class="cart-item-name">{{ item.name }}</span>
        <span class="cart-item-price">{{ item.price | currency }}</span>
        <a class="cart-item-price" :href="item.link">Voir</a>
      </div>
    </div>
  </div>
    
</template>

<script>
export default {
  name: 'DirectivesExercise',

filters: {
  currency: function (value) {
    if (!value) return ''
    value = value.toString()
    
    return `${value}€`
  }
},

  data: function () {
    return {
      items: [
        {
          name: 'Montre connectée',
          price: 102.40,
          link: 'https://www.boulanger.com/ref/1152166',
          class: 'cart-item'
        },
        {
          name: 'Vélo',
          price: 2490.99,
          link: 'https://www.alltricks.fr/F-41505-velos-route-_-cyclocross-_-triathlon/P-1154128-velo_de_route_bmc_2020_teammachine_slr02_two_disc_shimano_105_11v_rouge_gris',
          class: 'cart-item'
        },
        {
          name: 'Chaussures',
          price: 690,
          link: 'https://www.i-run.fr/chaussures_homme/Running_c23/Nike_m6/Nike-ZoomX-Vaporfly-Next-M_Nike_fiche_88125.html',
          class: 'cart-item last'
        }
      ],
      showCartDetails: false
    }
  },

  computed: {
    cartTotalPrice () {
      const prices = this.items.map(item => item.price);

      // var sum = 0;
      // for (var i = 0; i < prices.length; i++) {
      //   sum += prices[i]
      // }
      // return sum;
      return prices.reduce((a, b) => a + b)
    }
  }
};
</script>

<style lang="scss" scoped>
  .cart-item {
    &-name {
      margin-right: 0.5rem;
    }

    &-price {
      font-weight: bold;
    }
  }
</style>
